/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#ifndef __FTP_EVENTS_H__
#define __FTP_EVENTS_H__

#include "ftp_main.h"

#define EVENT_FTP_INIT				(EVENT_PROXY_MAX + 1)
#define EVENT_FTP_LOGINTYPE_INIT		(EVENT_PROXY_MAX + 2)
#define EVENT_FTP_CMDHANDLER_INIT		(EVENT_PROXY_MAX + 3)
#define EVENT_FTP_CMDHANDLER_UNKNOWN_CMD	(EVENT_PROXY_MAX + 4)
#define EVENT_FTP_LOGGEDIN			(EVENT_PROXY_MAX + 5)
/* ... */
#define EVENT_FTP_CLOSE				(EVENT_PROXY_MAX + 256)

#endif
